org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

## Class AbstractWMFFactoryModule

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule
  - - org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf.AbstractWMFFactoryModule

All Implemented Interfaces:
  FactoryModule

Direct Known Subclasses:
  WMFDrawableFactoryModule, WMFImageFactoryModule

    public abstract class AbstractWMFFactoryModule
    extends AbstractFactoryModule

Creation-Date: 05.04.2006, 17:52:57

Author:
  Thomas Morgner

### Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule

`FEELING_LUCKY, RECOGNIZED_CONTENTTYPE, RECOGNIZED_FILE, RECOGNIZED_FINGERPRINT, REJECTED`

### Method Summary

Methods
`int` `getHeaderFingerprintSize()`

### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule

`canHandleResource`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule

`create`

### Method Detail

#### getHeaderFingerprintSize

    public int getHeaderFingerprintSize()

Specified by:
  `getHeaderFingerprintSize` in interface `FactoryModule`
Overrides:
  `getHeaderFingerprintSize` in class `AbstractFactoryModule`